You are here

Magic Linux rc3 发布(10.13)

Primary tabs

本次发布仍然有dvd和cd版本,但同时发布三个衍生版本。

自rc2以来的更新:
1.更新amarok到1.4.10
2.更新lrcShow-II到0.9.0
3.更新仓库的firefox到3.0.1
4.更新magic-system-config和mxd,修正普通用户adsl拨号问题。
5.更新alsa-lib/alsa-utils/alsa-drivers到1.0.18rc3,普通用户的声卡问题仍在。
6.更新pam,修正了普通用户声卡的问题。
7.再次更新pam,修正普通用户iso挂载问题。
8.更新libdrm/libXp/mesa/xorg-x11-server,请有ati的显卡的朋友测试下,ati驱动是否可以正常安装,另可以试试注稍黑屏的bug还在不在,同时修正了小键盘的数字灯问题。
9.更新 kdebase,修正kdm自动登录认证失败的问题
10.更新magiconf,添加mccModules
11.更新kdeutils,移除无用patch.
12.更新wine到1.1.4,输入中文问题仍然存在。
13.更新sudo,修正sudo无法使用的问题。
14.更新xorg-x11-driver,配合xorg-x11-server的更新(注意,仅在更新了xorg-x11-server的情况下,才能更新这个包)。
15.再次更新amarok,添加两个依赖libnjb/libmtp
16.更新wx-gtk2-uniicode到2.8.9
17.更新gtk2/glib/cairo/pango以相关的包。
18.更新gparted
19.降级bluez到3.36,以配合kdebluetooth.
20.kdepim/kdesdk/kdevelop 修正bug。
30.更新内核到2.6.25.17,同时更新相关模块。
31.更新Xorg整体到7.4
32.更新hal/dbus/udev
33.更新gtk2及相关包。
34.更新firefox到3.0.3
以及其它的一些更新,具体包列表请见附件。

cd版本相对dvd版本少的内容基本同rc1/rc2,amule/mldonkey/wxgtk/游戏/几个不重要的devel/nx/splashy/kwebdev/两个大图标包/jre/mplayer(有kaffeine)等,相对rc2,加进了firefox3.0.3

一些已知的bug和问题:
1。关于U盘的自动挂载:
安装时添加的用户可以自动挂载,安装后添加的默认不可以,如果需要可将其添加到 plugdev 组,用命令行如下:
usermod -G plugdev xxxx
也可以利用 kuser 在图形界面下设置,如果想把系统现有的普通用户都设为可自动挂载,在root下执行addplug即可。
2。关于蓝牙
蓝牙使用前需要手工启动bluetooth服务:
/etc/init.d/bluetooth start,然后kdebluetooth就可以支持蓝牙设备了,用起来比较简单。
3。关于mxd拨号
这个需要对代码做较大改动,所以这次发布的版本仍然是有问题的,不过近期会解决。
4。关于nv和ati驱动。
因为xserver更新到了1.5.1,可能会导致部分nv和ati驱动运行不正常,请等待官方发布新版本,或降级xserve到1.4.0.90(注意,同时要降级相关包)。
5。从rc2升级
如果想从rc2升级,请将源中的unstable改成stable,然后运行smart update;smart upgrade(或apt-get),但可能存在一些问题,请在bug报告中报告。
6。其它桌面环境
仓库里添加了gnome 2.24,但是有较多问题,因为我对gnome不熟悉,希望有朋友能对它加以改进,另外,可能会需要更新glibc(看下一条)。xfce是可以正常安装的,smart install xfce4-core,也可以使用下面以xfce4做为桌面环境的衍生版本。
7。关于部分需要glibc>2.4的商业程序
对于qq/官方的skype等一些商业软件,需要glibc>2.4,请到http://apt.magiclinux.org/magic/2.5/unstable/RPMS.os/下载包,或者用下面的这个衍生版本。

下载地址:
dvd:http://apt.magiclinux.org/iso/MagicLinux-2.1.rc3.dvd-1.iso
cd:http://apt.magiclinux.org/iso/MagicLinux-2.1.rc3.cd-1.iso

三个衍生版本:
1.使用兼容内核的版本,关于兼容内核,大家可在如下网站得到相关信息:http://linux.insigma.com.cn/,因为它是对内核打补丁,所以这个版本的内核是2.6.23.17,wine是1.0,除此以外,和CD版本相同,已经做好了相关配置,可以直接使用,但是据我的测试,可运行的程序比wine要少,不过能运行的程序效果不错,可以正常的输入中文。这个版本所采用的兼容内核是一个测试版,正式版本可能会更好。
地址:http://apt.magiclinux.org/iso/MagicLinux-2.1.rc3.uni-1.iso
2.使用glibc2.7的版本。如果需要运行qq等商业程序,可以直接下载这个版本,除了glibc升级到2.7,libstdc++升级到4.2.4以外,其它同cd版本,但为了依赖关系的问题,移除了gcc,就是说不能编译程序了,不过可以到上面2.5的那个下载地址里下载。
地址:http://apt.magiclinux.org/iso/MagicLinux-2.1.rc3.cd.glibc27-1.iso
3.使用xfce4的版本。采用xfce4做为默认桌面环境,没有任何kde相关程序,所以功能上会损失很多,登录使用xdm,媒体播放是mplayer,网页浏览是firefox。如果需要聊天程序,可以从仓库里安装pidgin(smart install pidgin)。
地址:http://apt.magiclinux.org/iso/MagicLinux-2.1.rc3.xfce-1.iso

暂时不为衍生版本提供任何技术支持。

md5sum:
d13286da73f7978f51cb4174e08004cf MagicLinux-2.1.rc3.cd-1.iso
7d92dfbed3128aa8e3be41c02a1f5a09 MagicLinux-2.1.rc3.cd.glibc27-1.iso
22bb15b4c03176413522479339de0d26 MagicLinux-2.1.rc3.dvd-1.iso
2f099f02d7b7b982ffc161a9f363d7c3 MagicLinux-2.1.rc3.uni-1.iso
247aa11595b2bea56632594ad7d46aec MagicLinux-2.1.rc3.xfce-1.iso

http://apt.magiclinux.org/iso/md5sum.rc3

现在所有的软件版本都冻结了,下一步主要工作是除bug,bug报告请到:
http://www.magiclinux.org/bugs

附件大小
rc2-rc3.txt14.62 KB

评论

严重支持……
祝愿MGC的明天会更好!

我下载了CD 版本,刻了光盘,电脑也设置了光盘启动,但是启动不了。
谁能告诉我怎么回事。
2.0的正式版我用的很好!谢谢了!

http://blog.linfen365.com/user1/jysrfeng/archives/2008/7425.html

希望能留言评价使用感觉

支持一下,很想用

我从两年前就关注这里!但是有一段时间,这里没有更新!我很失望!

希望中国也可以搞出来一个不错的lINUX的发行版!

中国需要开源,需要好的操作系统!

昨晚在论坛就找到了这个消息,当时就下载了,正准备装呢!
支持,感谢各位开发的兄弟,给大家带来一又个好产品.

感谢你们又推出一个新的版本。谢谢,我要马上升级一下了

我们很高兴看到兼容内核能加入到magiclinux中,非常感谢各位magiclinux的开发者和爱好者的支持!
目前,兼容内核还有很多不够完善的地方,希望大家能过提意见,多发现问题,和我们共同进步。同时,我们也会尽快发布一个更加稳定的版本。谢谢!
兼容内核的官网刚刚改版:www.unifiedkernel.com

正式版什么时候出来

我想知道,如果跟fc9对比,哪个版本用的软件更新?

我很支持呀,希望正式版出点出来。

我从两年前就关注这里!但是有一段时间,这里没有更新!我很失望!

希望中国也可以搞出来一个不错的lINUX的发行版!

中国需要开源,需要好的操作系统!

支持Magic Linux,我一直在用,这个版本网上邻居打不开

我用这个版本能正常使用网上邻居访问其它计算机享资源,我是访问的winxp上的资源,只是在使用firefox上网时总提示需要安装flash插件,但又不能自动找到并安装这个插件。但flash插件在这个版本中已经安装了的,用KDE的浏览器能正常播放网页中的flash文件。

我 是magic的老用户了,且是一个推广者。我们公司的开发大都在magic linux2.0上.

但现在面临一个问题是magic linux2.0不支持sata的硬盘。而新的机器都是sata的,连cdrom都是,这就需要用高版本的内核重新编译。

现在2.1的对sata的支持也不很好,安排时老让我先驱动。所有的都选一遍,还是不行。

同时要考虑对宽屏的支持。现在19的液晶是很便宜的。

ML2.0采用xorg是6.9的,对intel 915的支持不是很好。我升级过内核后,采用ML2.0 的root文件系统。但intel的i915的驱动就没有办法使用。要换上高版本xorg.

希望magic linux越来越好!
希望2.1的稳定版本能像2.0哪样稳定,宜于使用。

在vmware上一切运行正常。1440×900显示得都很好。

不知道 在hp的dx2718MT采用的是什么sata的芯片,安装时提示要选择驱动。

你们的magicinstall的源码放在哪里呀?
想看看。

每个后续版本都把Dr.com客户端添加进去就好!
特别是可以多机路由共享的Dr.com可视化客户端,可以多台电脑同时共享上网。
另外如果能把一些常用的USB无线网卡的驱动加进去就更方便了。

非常谢谢Magic Linux的辛勤付出!

我的Magiclinux rc3开机时提示starting smb service失败,并且双击“网上邻居”打不开,不知如何编译,最后只能重新安装2.1修改版

哈哈,心爱的MGC,这么好的文章我得赶快收藏到短域网去备忘。